/**
 * Created by Tony on 2017/4/10.
 */
var test = require('tape');
var fs = require('fs');
var fsUtil = require('../../../public/fsUtil');
var rpt_xl_util = require('../../../modules/reports/util/rpt_excel_util');

test('check real function.', function(t){
    var fName = '08_2.page_tuned1';
    //var fName = '07_1.page';
    //var data = fs.readFileSync('../../../tmp/07_1.page.js', 'utf8', 'r');
    var data = fs.readFileSync('../../../tmp/' + fName + '.js', 'utf8', 'r');
    eval(data);
    var pageObj = testReport08_2;
    //console.log(pageObj.items[0].cells.length);
    rpt_xl_util.exportExcel(pageObj, fName, 'false', null, null, null);
    t.pass('pass exportExcel');
    t.end();
});
